<h1 style="text-align: left;">
<img  src="style/img/referals.png" align="center">Рефералы</h1>
<?php

echo '
<table class="table1">
  <tr class="title">
    <td>Логин</td>
    <td>Зарегистрирован</td>
	<td>Активность</td>
		<td>1 ур.</td>
		<td>2 ур.</td>
    <td>Побед</td>
    <td>Поражений</td>
    <td>Ничьих</td>
	<td>Рейтинг</td>
		<td>Рефбек, %</td>
  </tr>
  ';
  
 		
if($_GET["t"] == "set"){
    db_connect();
	$res2 = db_query("SELECT `id` FROM `".DBpref."users` WHERE `login` = '".db_string($_POST["login"])."' AND `ref` = '".db_string($_SESSION["login"])."'");
	$err = NULL;
	if(db_rows($res2) == 0)
		$err .= "<li>Пользователь не найден</li>";
	if($_POST["price"] < 0.00 || $_POST["price"] > 100)
		$err .= "<li>Рефбек не может быть ниже 0% и выше 100%</li>";
		
	if($err == NULL){
		db_query("UPDATE `".DBpref."users` SET `refback` = '".db_string($_POST["price"])."'  WHERE `login` = '".db_string($_POST["login"])."'");
		echo "<ul><li>Вы установили рефбек ".$_POST["price"]."% для ".$_POST["login"]."</li></ul><br>";
	}else{
		echo "<ul>".$err."</ul>";
	}
	db_close();
}
		
  
db_connect();
$res = db_query("SELECT `id`, `login`, `regdat`, `logdat`, `refmarket`, `referals`, `referals2`, `game_win`, `game_loss`, `rating`, `game_draw`, `refback` FROM `".DBpref."users` WHERE `ref` = '".db_string($_SESSION["login"])."'");
db_close();

if(db_rows($res) == 0)
	echo "<tr><td colspan='7'><ul class='warning'><li>Пока что у Вас нет рефералов</li></ul></td></tr>";
while($row = db_assoc($res)){
db_connect();
echo '
 <tr>
    <td><a target="_blank" href="/?p=wprofile&login='.htmlspecialchars($row["login"]).'">'.htmlspecialchars($row["login"]).'</a></td>
    <td>'.substr($row["regdat"],0,10).'</td>
	<td>'.substr($row["logdat"],0,10).'</td>
    
	<td>'.$row["referals"].'</td>
	<td>'.$row["referals2"].'</td>
	<td>'.$row["game_win"].'</td>
    <td>'.$row["game_loss"].'</td>
    <td>'.$row["game_draw"].'</td>
	<td>'.$row["rating"].'</td>
		<td>';
			$hifo='<form method="post" action="/?p=referals&t=set"><input type="text" name="price" value="'.$row["refback"].'" size="5" maxlength="6"><input type="hidden" name="id" value="'.$row["id"].'"><input type="hidden" name="login" value="'.$row["login"].'"><input type="image" src="img/ref5.gif" alt="Установить" title="Установить"></form>';
                
			echo $hifo;
			
          db_close();
		echo '</td>
  </tr>
';
}
echo '</table>';

?>